---
description: Upgrading your Docker Hub Plan
keywords: Docker Hub, upgrade, subscription, Pro, Team, pricing plan,
title: Upgrade your plan
redirect_from:
- /docker-hub/upgrade/
---

You can upgrade to a Pro or a Team plan from a Free plan, or from your current legacy plan. When you upgrade to a Pro or a Team plan, you will be able to immediately use all the features and entitlements offered in your new plan. For detailed information on features available in each plan, see [Docker Pricing](https://www.docker.com/pricing){: target="_blank" rel="noopener" class="_"}.

>**Note:**
>
If you were previously on a legacy per-repository plan, your plan has been converted to a new Pro or Team monthly plan. For details, see [Pricing FAQ](faq.md).

The following sections contain instructions on how to upgrade to Pro and Team plans.

## Upgrade to a Pro plan

To upgrade to a Pro plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The **Billing Details** page displays billing information about your existing user account.

3. Ensure you have selected your personal account on the left side of the **Billing Details** page.

    ![Billing details personal account](images/billing-personal-account.png){:width="750px"}

4. Click **Change plan** to choose a new plan.

5. Review the plan details in the **Pro** section and click **Buy Now**.

6. By default, the **Payment Method** page displays the annual cost to upgrade to a Pro plan. If you prefer to upgrade to a monthly plan, choose **pay monthly**.

7. Review the card details and the information displayed and click **Purchase** to confirm.

    The **Billing** page now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

8. You’ll also receive an email confirming the cancellation of your legacy plan.

## Upgrade to a Team plan

To upgrade to a Team plan:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.

2. Navigate to **Organizations** from the menu at the top of the page, then choose your organization.

3. Select the **Billing** tab.

4. Click **Change plan** to upgrade to a new plan.

5. Review the plan details in the **Team** section and click **Buy Now**.

6. By default, the plan displays the annual cost to upgrade the existing number of users to a Team plan. To switch to a monthly plan, click **Pay Monthly**.

7. Review and adjust the number of users as required and click **Continue to payment**.

8. Review the card details and click **Purchase** to confirm.

    The **Billing page** now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

    You’ll also receive an email confirming the cancellation of your legacy plan.

## Upgrade from a monthly Team plan to an annual plan

To upgrade from a monthly Team plan to an annual Team plan:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"}.
2. Navigate to **Organizations** from the menu at the top of the page, choose your organization, and select the **Billing** tab.
3. Click **switch to annual billing**.
4. Review the information displayed on the **Change to an Annual Plan** page and click **Accept Terms and Purchase** to confirm.

    The Billing page now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.

## Upgrade from a monthly Pro plan to an annual plan

To upgrade from a monthly Pro plan to an annual Pro plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" rel="noopener" class="_"} account.
2. Open the drop-down menu next to your username in the top-right corner and select **Billing** to go to the **Billing Details** page. This page displays billing information about your existing user account.
3. Ensure you have selected your personal account on the left side of the **Billing Details** page.
4. Click **switch to annual billing**.
5. Review the information displayed on the **Change to an Annual Plan** page and click **Accept Terms and Purchase** to confirm.

    The Billing page now displays a confirmation of the upgrade with an invoice containing details about your new plan, entitlements, and the total cost.
